/* Read coff objects
   Copyright 2001, 2002, 2003, 2004, 2005
   Craig Franklin

    Copyright 2016 Molnár Károly
*/

#pragma once

typedef enum gp_coff { 
  GP_COFF_ARCHIVE, 
  GP_COFF_OBJECT, 
  GP_COFF_OBJECT_V2, 
  GP_COFF_SYS_ERR,
  GP_COFF_UNKNOWN
} gp_coff_t;

typedef struct gp_binary {
  off_t    size;                /* size of the file in bytes */
  uint8_t *file;                /* file contents */
} gp_binary_t;

FUNC(gp_coff_t) gp_identify_coff_file(const char *File_name);
FUNC(gp_binary_t*) gp_read_file(const char *File_name);
extern void gp_free_file(gp_binary_t *Data);
FUNC(gp_object_t*) gp_convert_file(const char *File_name, const gp_binary_t *Data);
FUNC(gp_object_t*) gp_read_coff(const char *File_name);

